Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 911050 - Review Request: nodejs-snockets - A JavaScript/CoffeeScript concatenation tool for Node.js inspired by Sprockets
Summary: Review Request: nodejs-snockets - A JavaScript/CoffeeScript concatenation too...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcelo Barbosa "firemanxbr"
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 910791 911029 911055
Blocks: nodejs-reviews 911040
TreeView+ depends on / blocked
 
Reported: 2013-02-14 09:49 UTC by Jamie Nguyen
Modified: 2013-07-08 20:08 UTC (History)
4 users (show)

Fixed In Version: nodejs-snockets-1.3.8-4.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-22 22:12:31 UTC
marcelo.barbosa: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Jamie Nguyen 2013-02-14 09:49:08 UTC
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-snockets.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-snockets-1.3.8-1.fc18.src.rpm
Fedora Account System Username:

Description:
A JavaScript/CoffeeScript concatenation tool for Node.js inspired by Sprockets.

Comment 1 Jamie Nguyen 2013-05-26 10:13:20 UTC
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-snockets.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-snockets-1.3.8-2.fc18.src.rpm

* Sun Feb 17 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.3.8-2
- make sure modules are available in %%check

Comment 2 Jamie Nguyen 2013-06-20 19:22:03 UTC
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-snockets.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-snockets-1.3.8-3.fc19.src.rpm

* Thu Jun 20 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.3.8-3
- remove pre-compiled scripts and instead run 'cake build'
- make some of the versioned dependencies less specific

Comment 3 Marcelo Barbosa "firemanxbr" 2013-06-20 19:35:32 UTC
Hi Jamie,

   I'm reviewing your package, but view error to use fedora-review in your package:

$ fedora-review -b 911050
INFO: Processing bugzilla bug: 911050
INFO: Getting .spec and .srpm Urls from : 911050
INFO:   --> SRPM url: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-snockets-1.3.8-3.fc19.src.rpm
INFO:   --> Spec url: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-snockets.spec
INFO: Using review directory: /home/marcelo.barbosa/rpmbuild/SOURCES/reviews/911050-nodejs-snockets
INFO: Downloading .spec and .srpm files
INFO: Downloading (Source0): http://registry.npmjs.org/snockets/-/snockets-1.3.8.tgz
INFO: Running checks and generating report

ERROR: Exception(/home/marcelo.barbosa/rpmbuild/SOURCES/reviews/911050-nodejs-snockets/srpm/nodejs-snockets-1.3.8-3.fc19.src.rpm) Config(fedora-18-x86_64) 0 minutes 20 seconds
INFO: Results and/or logs in: /home/marcelo.barbosa/rpmbuild/SOURCES/reviews/911050-nodejs-snockets/results
ERROR: Command failed: 
INFO: WARNING: Probably non-rawhide buildroot used. Rawhide should be used for most package reviews
ERROR: 'mock build failed, see /home/marcelo.barbosa/rpmbuild/SOURCES/reviews/911050-nodejs-snockets/results/build.log'

   View build.log:

Mock Version: 1.1.32
ENTER do(['bash', '--login', '-c', 'rpmbuild -bs --target x86_64 --nodeps builddir/build/SPECS/nodejs-snockets.spec'], False, '/var/lib/mock/fedora-18-x86_64/root/', None, 0, True, False, 1000, 988, None, False, {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'CCACHE_DIR': '/tmp/ccache', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'CCACHE_UMASK': '002'}, logger=<mockbuild.trace_decorator.getLog object at 0x26e3310>)
Executing command: ['bash', '--login', '-c', 'rpmbuild -bs --target x86_64 --nodeps builddir/build/SPECS/nodejs-snockets.spec'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'CCACHE_DIR': '/tmp/ccache', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'CCACHE_UMASK': '002'}
Building target platforms: x86_64
Building for target x86_64
Wrote: /builddir/build/SRPMS/nodejs-snockets-1.3.8-3.fc18.src.rpm
Child return code was: 0
LEAVE do --> 

Thank you.

Marcelo Barbosa

Comment 4 Jamie Nguyen 2013-06-20 19:41:07 UTC
Hi there, thanks for taking this review. 

Please note that this review depends on nodejs-dep-graph, which is already in rawhide but not yet in  stable for f18/19.

You can point fedora-review at rawhide like this:

  fedora-review -m fedora-rawhide-x86_64 ...

It's actually probably better practice to do all of your reviews in rawhide (which I often forget to do myself).

Comment 5 Marcelo Barbosa "firemanxbr" 2013-06-21 06:54:36 UTC
Jamie,

   Same error:

fedora-review -b 911050 -m fedora-rawhide-x86_64
INFO: Processing bugzilla bug: 911050
INFO: Getting .spec and .srpm Urls from : 911050
INFO:   --> SRPM url: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-snockets-1.3.8-3.fc19.src.rpm
INFO:   --> Spec url: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-snockets.spec
INFO: Using review directory: /home/marcelo.barbosa/rpmbuild/SOURCES/reviews/911050-nodejs-snockets
ERROR: chroot /var/lib/mock/fedora-rawhide-x86_64/root/ not initialized!
INFO: Re-initializing mock build root
INFO: Downloading .spec and .srpm files
INFO: Downloading (Source0): http://registry.npmjs.org/snockets/-/snockets-1.3.8.tgz
INFO: Running checks and generating report

ERROR: Exception(/home/marcelo.barbosa/rpmbuild/SOURCES/reviews/911050-nodejs-snockets/srpm/nodejs-snockets-1.3.8-3.fc19.src.rpm) Config(fedora-rawhide-x86_64) 0 minutes 17 seconds
INFO: Results and/or logs in: /home/marcelo.barbosa/rpmbuild/SOURCES/reviews/911050-nodejs-snockets/results
ERROR: Command failed: 
ERROR: 'mock build failed, see /home/marcelo.barbosa/rpmbuild/SOURCES/reviews/911050-nodejs-snockets/results/build.log'
[marcelo.barbosa@firelap reviews]$ cat /home/marcelo.barbosa/rpmbuild/SOURCES/reviews/911050-nodejs-snockets/results/build.log
Mock Version: 1.1.32
ENTER do(['bash', '--login', '-c', 'rpmbuild -bs --target x86_64 --nodeps builddir/build/SPECS/nodejs-snockets.spec'], False, '/var/lib/mock/fedora-rawhide-x86_64/root/', None, 0, True, False, 1000, 988, None, False, {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'CCACHE_DIR': '/tmp/ccache', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'CCACHE_UMASK': '002'}, logger=<mockbuild.trace_decorator.getLog object at 0x1812350>)
Executing command: ['bash', '--login', '-c', 'rpmbuild -bs --target x86_64 --nodeps builddir/build/SPECS/nodejs-snockets.spec'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'CCACHE_DIR': '/tmp/ccache', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'CCACHE_UMASK': '002'}
Building target platforms: x86_64
Building for target x86_64
Wrote: /builddir/build/SRPMS/nodejs-snockets-1.3.8-3.fc20.src.rpm
Child return code was: 0
LEAVE do --> 

Marcelo Barbosa

Comment 6 Jamie Nguyen 2013-06-21 07:06:56 UTC
Sorry, nodeunit hasn't been packaged yet.

Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-snockets.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-snockets-1.3.8-4.fc19.src.rpm

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.3.8-4
- fix BuildRequires

Comment 7 Marcelo Barbosa "firemanxbr" 2013-06-21 21:11:18 UTC
- Outputs rpmlint are false positives

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 61440 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-snockets-1.3.8-4.fc20.noarch.rpm
nodejs-snockets.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-snockets.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-snockets.noarch: W: only-non-binary-in-usr-lib
nodejs-snockets.noarch: W: dangling-symlink /usr/lib/node_modules/snockets/node_modules/mime /usr/lib/node_modules/mime
nodejs-snockets.noarch: W: dangling-symlink /usr/lib/node_modules/snockets/node_modules/dep-graph /usr/lib/node_modules/dep-graph
nodejs-snockets.noarch: W: dangling-symlink /usr/lib/node_modules/snockets/node_modules/uglify-js /usr/lib/node_modules/uglify-js1
nodejs-snockets.noarch: W: dangling-symlink /usr/lib/node_modules/snockets/node_modules/underscore /usr/lib/node_modules/underscore
nodejs-snockets.noarch: W: dangling-symlink /usr/lib/node_modules/snockets/node_modules/coffee-script /usr/lib/node_modules/coffee-script
1 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-snockets
nodejs-snockets.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-snockets.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-snockets.noarch: W: only-non-binary-in-usr-lib
nodejs-snockets.noarch: W: dangling-symlink /usr/lib/node_modules/snockets/node_modules/mime /usr/lib/node_modules/mime
nodejs-snockets.noarch: W: dangling-symlink /usr/lib/node_modules/snockets/node_modules/dep-graph /usr/lib/node_modules/dep-graph
nodejs-snockets.noarch: W: dangling-symlink /usr/lib/node_modules/snockets/node_modules/uglify-js /usr/lib/node_modules/uglify-js1
nodejs-snockets.noarch: W: dangling-symlink /usr/lib/node_modules/snockets/node_modules/underscore /usr/lib/node_modules/underscore
nodejs-snockets.noarch: W: dangling-symlink /usr/lib/node_modules/snockets/node_modules/coffee-script /usr/lib/node_modules/coffee-script
1 packages and 0 specfiles checked; 0 errors, 8 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-snockets (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(coffee-script)
    npm(dep-graph)
    npm(mime)
    npm(uglify-js)
    npm(underscore)



Provides
--------
nodejs-snockets:
    nodejs-snockets
    npm(snockets)



Source checksums
----------------
http://registry.npmjs.org/snockets/-/snockets-1.3.8.tgz :
  CHECKSUM(SHA256) this package     : 57b9bcaf32267808dd294b23b2b7d0d430c61b5af78a257dd989e56dc5d5f766
  CHECKSUM(SHA256) upstream package : 57b9bcaf32267808dd294b23b2b7d0d430c61b5af78a257dd989e56dc5d5f766


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 911050 -m fedora-rawhide-x86_64

----------------

PACKAGE APPROVED

----------------

Follow the process from:
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner

If you have any questions , feel free to contact me through my email or in the irc channel #fedora-devel, my nick is firemanxbr

Comment 8 Jamie Nguyen 2013-06-21 22:10:58 UTC
New Package SCM Request
=======================
Package Name: nodejs-snockets
Short Description: A JavaScript/CoffeeScript concatenation tool for Node.js inspired by Sprockets
Owners: jamielinux patches
Branches: f18 f19 el6
InitialCC:

Comment 9 Kevin Fenzi 2013-06-22 18:01:41 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2013-06-22 22:07:04 UTC
nodejs-snockets-1.3.8-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-snockets-1.3.8-4.fc19

Comment 11 Fedora Update System 2013-06-22 22:08:18 UTC
nodejs-snockets-1.3.8-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-snockets-1.3.8-4.fc18

Comment 12 Fedora Update System 2013-06-22 22:09:03 UTC
nodejs-snockets-1.3.8-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-snockets-1.3.8-4.el6

Comment 13 Fedora Update System 2013-07-02 00:28:47 UTC
nodejs-snockets-1.3.8-4.fc19 has been pushed to the Fedora 19 stable repository.

Comment 14 Fedora Update System 2013-07-03 01:37:53 UTC
nodejs-snockets-1.3.8-4.fc18 has been pushed to the Fedora 18 stable repository.

Comment 15 Fedora Update System 2013-07-08 20:08:18 UTC
nodejs-snockets-1.3.8-4.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.